import ChartView from '../../view/Chart.js';
import LineFillsSeriesModel from './LineFillsSeries.js';
import GlobalModel from '../../model/Global.js';
import ExtensionAPI from '../../core/ExtensionAPI.js';
import SeriesData from '../../data/SeriesData.js';
declare class LineFillsView extends ChartView {
    static readonly type = "lineFills";
    readonly type = "lineFills";
    private _linesGroup;
    init(): void;
    render(seriesModel: LineFillsSeriesModel, ecModel: GlobalModel, api: ExtensionAPI): void;
    _getClipShape(seriesModel: LineFillsSeriesModel): import("../../coord/CoordinateSystem").CoordinateSystemClipArea;
    _renderLines(data: SeriesData, seriesModel: LineFillsSeriesModel, api: ExtensionAPI): void;
    remove(ecModel: GlobalModel, api: ExtensionAPI): void;
    dispose(ecModel: GlobalModel, api: ExtensionAPI): void;
}
export default LineFillsView;
